#include<stdio.h>
#include<time.h>
#include<string.h>
#ifdef _WIN32
	#include<conio.h>
	#include<Windows.h>
#endif


#define max11 3
#define max12 101
#define max21 3
#define max22 101

void main()
{
	int i,j,k,l;
	char t1[max11][max12+1];
	char t2[max21][max22+1];
	char t1t2[max11*max21][max12+max22+1];
	char t2t1[max11*max21][max12+max22+1];

	printf("\n 문자열 T1에 대해서 3개의 문자열을 입력하세요.\n");
	for(i=0;i<3;i++)
	{
		fflush(stdin);
		scanf("%s",t1[i]);
	}

	printf("\n 문자열 T2에 대해서 3개의 문자열을 입력하세요.\n");
	for(i=0;i<3;i++)
	{
		fflush(stdin);
		scanf("%s",t2[i]);
	}

	
	printf("\n concatenation of T1 & T2\n");
	k=0;
	
	for(j=0;j<max21;j++)
	{
		for(i=0;i<max11;i++)
		{
			strcpy(t1t2[k],t1[i]);
			strcat(t1t2[k],t2[j]);
			k++;
		}
	}
	
	for(i=0;i<max11*max21;i++)
	{
		printf("%s\n", t1t2[i]);
	}
	

	printf("\n concatenation of T2 & T1\n");
	k=0;
	
	for(j=0;j<max11;j++)
	{
		for(i=0;i<max21;i++)
		{
			strcpy(t2t1[k],t2[i]);
			strcat(t2t1[k],t1[j]);
			k++;
		}
	}
	
	for(i=0;i<max11*max21;i++)
	{
		printf("%s\n", t2t1[i]);
	}

	
	system("PAUSE");
}